#ifndef TOPSECRET_H
#define TOPSECRET_H

// WiFi
// Store your WiFi credentials here.
// Update these with values suitable for your network.

// #define WAP 0
// This #define & #if stuff is a good way to build for multiple WiFi networks
// (at least for testing...)
// You can replace "#define WAP X" with "-D WAP=X" in the "build_flags" of your platformio.ini
// file...  Kinda handy, that...
// If you only have a single WiFi network, boil it down to one of each "WiFi_ssid"
// & "WiFi_password"
//
// (Maybe later, I'll update this for adding in multiples with automatic selection...)

#if WAP==0
const char* WiFi_ssid = "TinkerToys";
const char* WiFi_password = "0Defect0";
const char* MQTT_broker = "skeeter.tinkernet.ca";
const char* MQTT_user = "";
const char* MQTT_pass = "";
#elif WAP==1
const char* WiFi_ssid = "TinkerToysB";
const char* WiFi_password = "0Defect0";
const char* MQTT_broker = "skynet.tinkernet.ca";
const char* MQTT_user = "";
const char* MQTT_pass = "";
#elif WAP==2
const char* WiFi_ssid = "vanneck";
const char* WiFi_password = "maplesyrup";
const char* MQTT_broker = "skeeter.tinkernet.ca";
const char* MQTT_user = "";
const char* MQTT_pass = "";
#else
const char* WiFi_ssid = "VictoriaDrive2B";
const char* WiFi_password = "5194532463";
const char* MQTT_broker = "skeeter.tinkernet.ca";
const char* MQTT_user = "";
const char* MQTT_pass = "";
#endif

const char* WiFi_ClientName = "ColdStuff";

// MQTT
// Store your MQTT credentials here.
// Update these with values suitable for your network.

// Set BrokerName OR BrokerIP, not both...
// const char* MQTT_broker = "skeeter.tinkernet.ca";
// const int*  MQTT_BrokerIP = { 192, 168, 0, 12 };

// const char* MQTT_user = "";
// const char* MQTT_pass = "";

const char* MQTT_ClientName = "ColdStuff";

#endif // TOPSECRET_H
